%define upstream_name    REST-Client
%define upstream_version 281

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple client for interacting with RESTful http/https resources
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/REST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Server::Simple)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
REST::Client provides a simple way to interact with HTTP RESTful resources.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 281.0.0-3.mga10
+ Revision: 2211895
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 281.0.0-2.mga9
+ Revision: 1830551
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 281.0.0-1.mga9
+ Revision: 1763119
- update to 281

* Wed Feb 12 2020 umeabot <umeabot> 273.0.0-3.mga8
+ Revision: 1506113
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 273.0.0-2.mga7
+ Revision: 1285917
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 273.0.0-1.mga7
+ Revision: 1222293
- BR perl(Module::Install)
+ tv <tv>
- imported package perl-REST-Client


* Wed Oct 11 2017 cpan2dist 273-1mga
- initial mageia release, generated with cpan2dist
